org.apache.ignite.mxbean

## Interface ClientProcessorMXBean

-     @MXBeanDescription(value="MBean that provides information about client connections.")
      public interface ClientProcessorMXBean

  MXBean interface that provides access to ODBC\JDBC\Thin client connections.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dropAllConnections()` Drop all active connections.
    `boolean` | `dropConnection(long id)` Drops client connection by `id`, if exists.
    `List<String>` | `getConnections()` Returns list of active connections.
    `void` | `showFullStackOnClientSide(boolean show)` If sets to `true` shows full stack trace otherwise highlevel short error message.

- - ### Method Detail

    - #### getConnections

          @MXBeanDescription(value="List of client connections.")
          List<String> getConnections()

      Returns list of active connections.
      Returns:
        Sessions.

    - #### dropAllConnections

          @MXBeanDescription(value="Drop all client connections.")
          void dropAllConnections()

      Drop all active connections.

    - #### dropConnection

          @MXBeanDescription(value="Drop client connection by ID.")
          boolean dropConnection(@MXBeanParameter(name="id",description="Client connection ID.")
                                                                                           long id)

      Drops client connection by `id`, if exists.
      Parameters:
        `id` - connection id.
      Returns:
        `True` if connection has been dropped successfully, `false` otherwise.

    - #### showFullStackOnClientSide

          @MXBeanDescription(value="Show error full stack.")
          void showFullStackOnClientSide(@MXBeanParameter(name="show",description="Show error full stack.")
                                                                                            boolean show)

      If sets to `true` shows full stack trace otherwise highlevel short error message.
      Parameters:
        `show` - Show flag.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022